let particles = new Map();

mp.particleFx = class ParticleFx {
    static has = (id) => {
        return particles.has(id);
    }

    static get = (id) => {
        return particles.get(id);
    }

    static set = (id, value) => {
        return particles.set(id, value);
    }

    static toArray = () => {
        let arr = [];

        particles.forEach((v, k) => {
            arr.push({ id: k, ...v });
        });

        return arr;
    }

    static addLoopedAtCoord = (id, fxName, effectName, position, rotation, scale, xAxis, yAxis, zAxis, options = { dimension: 0 }) => {
        if(particles.has(id)) return console.error('particleFx: tried to add existing id');

        const fx = { 
            fxName, effectName, position, rotation, scale, xAxis, yAxis, zAxis,
            dimension: options.dimension,
            destroy: () => this.destroy(id)
        };
    
        particles.set(id, fx);
        mp.players.call('particleFx:add', [id, { fxName, effectName, position, rotation, scale, xAxis, yAxis, zAxis, dimension: options.dimension }]);
        return fx;
    };

    static addLoopedOnEntity = (id, entity, fxName, effectName, offset, rotation, scale, xAxis, yAxis, zAxis, options = { dimension: 0 }) => {
        if(particles.has(id)) return console.error('particleFx: tried to add existing id');

        const fx = { 
            entity: { remoteId: entity.id, type: entity.type }, 
            fxName, effectName, offset, rotation, scale, xAxis, yAxis, zAxis,
            dimension: options.dimension,
            destroy: () => this.destroy(id)
        };
    
        particles.set(id, fx);
        mp.players.call('particleFx:add', [id, { entity: { remoteId: entity.id, type: entity.type }, fxName, effectName, offset, rotation, scale, xAxis, yAxis, zAxis, dimension: options.dimension}]);
        return fx;
    };

    static destroy = (id) => {
        if(!particles.has(id)) return console.error('particleFx: tried to destroy invalid id');
    
        particles.delete(id);
        mp.players.call('particleFx:destroy', [id]);
        return true;
    };
}