// FX Car Wash
mp.events.addCommand({
    'fx_carwash_stop' : () => mp.particleFx.destroy('car.wash'),
    'fx_carwash' : (player) => {
        const  
            id = 'car.wash', 
            fxName = 'scr_carwash', 
            effectName = 'ent_amb_car_wash_jet',
            position = { x: player.position.x, y: player.position.y, z: player.position.z + 3.0 },
            rotation = { x: 0, y: 0, z: 0 },
            scale = 15.0,
            xAxis = true, 
            yAxis = true, 
            zAxis = true
        ;

        mp.particleFx.addLoopedAtCoord(id, fxName, effectName, position, rotation, scale, xAxis, yAxis, zAxis);
    }
})


// FX Barber
mp.events.addCommand({
    'fx_barber' : (player) => {
        const  
            id = 'barber', 
            fxName = 'scr_barbershop', 
            effectName = 'scr_barbers_haircut',
            offset = { x: 0.0, y: 0.0, z: 0.75 },
            rotation = { x: 0, y: 0, z: 0 },
            scale = 1.0,
            xAxis = true, 
            yAxis = true, 
            zAxis = true
        ;

        const fx = mp.particleFx.addLoopedOnEntity(id, player, fxName, effectName, offset, rotation, scale, xAxis, yAxis, zAxis);
        setTimeout(() => {
            fx.destroy();
            player.setClothes(2, Math.floor(Math.random() * 74), 0, 2);
        }, 900);
    }
});


// FX Flare
mp.events.addCommand({
    'fx_flare' : (player) => {
        const  
            id = 'flare', 
            fxName = 'wpn_flare', 
            effectName = 'proj_heist_flare_trail',
            offset = { x: 0.0, y: 0.0, z: 0.75 },
            rotation = { x: 0, y: 0, z: 0 },
            scale = 1.0,
            xAxis = true, 
            yAxis = true, 
            zAxis = true
        ;

        const fx = mp.particleFx.addLoopedOnEntity(id, player, fxName, effectName, offset, rotation, scale, xAxis, yAxis, zAxis);
        setTimeout(() => fx.destroy(), 9000);
    }
});


// FX Money Rain
mp.events.addCommand({
    'fx_moneyrain' : (player) => {
        const  
            id = 'moneyrain', 
            fxName = 'scr_xs_celebration', 
            effectName = 'scr_xs_money_rain_celeb',
            offset = { x: 0.0, y: 0.0, z: 1.25 },
            rotation = { x: 0, y: 0, z: 0 },
            scale = 1.25,
            xAxis = true, 
            yAxis = true, 
            zAxis = true
        ;

        const fx = mp.particleFx.addLoopedOnEntity(id, player, fxName, effectName, offset, rotation, scale, xAxis, yAxis, zAxis);
        setTimeout(() => fx.destroy(), 9000);
    }
});


// FX UFO
mp.events.addCommand({
    'fx_ufo' : (player) => {
        const  
            id = 'ufo', 
            fxName = 'cut_omega2', 
            effectName = 'cs_omega2_ambient_smoke',
            offset = { x: 0.0, y: 0.0, z: 1.3 },
            rotation = { x: 0, y: 0, z: 0 },
            scale = 5.0,
            xAxis = true, 
            yAxis = true, 
            zAxis = true
        ;

        const fx = mp.particleFx.addLoopedOnEntity(id, player, fxName, effectName, offset, rotation, scale, xAxis, yAxis, zAxis);
        setTimeout(() => fx.destroy(), 15000);
    }
});